{ pkgs ? import <nixos-unstable> { }
, aarch64-image
}:

let
  aarch64Pkgs = import pkgs.path {
    system = "aarch64-linux";
  };

  buildImage = pkgs.callPackage ./pkgs/build-image { };
  aarch64Image = pkgs.callPackage ./pkgs/aarch64-image { aarch64-image = aarch64-image; };
  rockchip = uboot: pkgs.callPackage ./images/rockchip.nix {
    inherit uboot;
    inherit aarch64Image buildImage;
  };
  quartzUBoots = aarch64Pkgs.callPackage ./pkgs/uboot-quartz64.nix { };
in
{
  inherit aarch64Image;

  quartz64a = rockchip quartzUBoots.ubootQuartz64a;
  quartz64b = rockchip quartzUBoots.ubootQuartz64b;
  soquartz = rockchip quartzUBoots.ubootSoQuartz;
  rock64 = rockchip aarch64Pkgs.ubootRock64;
  rockPro64 = rockchip aarch64Pkgs.ubootRockPro64;
  roc-pc-rk3399 = rockchip aarch64Pkgs.ubootROCPCRK3399;
  pinebookPro = rockchip aarch64Pkgs.ubootPinebookPro;
}
