{
  description = "Build NixOS images for various ARM single computer boards";
  # pin this to unstable
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/master";
    aarch64-linux-testing.url = "git+https://git.asonix.dog/asonix/aarch64-linux-testing.git";
  };

  outputs = { self, nixpkgs, aarch64-linux-testing }: {
    packages.x86_64-linux = import ./. {
      pkgs = nixpkgs.legacyPackages.x86_64-linux;
      aarch64-image =
        let
          base-path = aarch64-linux-testing.images.installer;
          image-name = aarch64-linux-testing.nixosConfigurations.installer.config.sdImage.imageName;
        in
        "${base-path}/sd-image/${image-name}.zst";
    };
  };
}
